var data = {
    token: ''
};
var u = navigator.userAgent,
    isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1,
    isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
var api = {
    apiUrl: {
        "sayGood": "https://ydzapi.dzrbs.com/api/PostsV100/SayReplyGoodForWeb?ReplyId={ReplyId}&UserInfoId={UserInfoId}",//评论点赞
        "collect": "https://ydzapi.dzrbs.com/api/PostsV100/EnshrinePostsByHttpGet?PostsId={postsid}",
        "sayGoodPosts": "https://ydzapi.dzrbs.com/api/PostsV100/SayGoodForWeb?PostsId={PostsId}",//帖子点赞
    },
    ajax: function (url, type, ajaxData, callback) {
        type == null ? 'GET' : type;
        $.ajax({
            type: type,
            url: url + "&json=true&token=" + escape(data.token),
            dateType: 'json',
            async: false,
            data: ajaxData,
            success: function (data) {
                callback(data);
            },
            error: function () {
                alert("服务器不在服务区");
            }
        })

    },
    connectWebViewJavascriptBridge: function (callback) {
        var obj = window.ZMBridge;
        if (isiOS) {
            obj = window.webkit.messageHandlers;
        } else {
            obj = window.ZMBridge;
        }
        if (obj) {
            callback(obj)
        } else {
            document.addEventListener('ZMBridgeReady', function () {
                callback(obj)
            }, false)
        }
    },
    base64Decode: function (str) {
        return decodeURIComponent(escape(window.atob(str)));
    },
    getUser: function () {
        return JSON.parse(api.base64Decode(data.token));
    },
    CheckLogin: function () {
        if (data.token == null || data.token == '' || data.token == '(null)') {
            this.connectWebViewJavascriptBridge(function (bridge) {
                if (isiOS) {
                    bridge.login.postMessage(0);
                } else {
                    bridge.login();
                }
            });
            return false;
        }
        return true;
    },
    viewPicture: function (index) {
        this.connectWebViewJavascriptBridge(function (bridge) {
            if (isiOS) {
                bridge.viewPicture.postMessage({ imageArr: this.data.originalImage, index: index });
            } else {
                bridge.viewPicture(this.data.originalImage, index);
            }
        });
    },
    pushToUser: function (userInfoId) {
        this.connectWebViewJavascriptBridge(function (bridge) {
            if (isiOS) {
                bridge.pushToUser.postMessage(userInfoId);
            } else {
                bridge.pushToUser(userInfoId);
            }
        });
    },
    pushToTopic: function (topicId) {
        this.connectWebViewJavascriptBridge(function (bridge) {
            if (isiOS) {
                bridge.pushToTopic.postMessage(topicId);
            } else {
                bridge.pushToTopic(topicId);
            }
        });
    },

    showReply: function (postsId) {
        this.connectWebViewJavascriptBridge(function (bridge) {
            if (isiOS) {
                bridge.showReply.postMessage({ articleId: postsId, articleProperty: 1 });
                //bridge.showReply.postMessage(postsId);
            } else {
                bridge.showReply(postsId);
            }
        });
    },
    loadHtml: function () {
        $("#headerImage").attr("src", data.userinfo.headerImage);
        $("#nickname").html(data.userinfo.nickname);
        //var createDate = data.createDate.replace(/-/g, '/');//formatDate(new Date(data.createDate.replace(/-/g, '/')));
        $("#createDate").html(data.createDate);
        $("#address").html(data.address);
        $("#detail").html(data.detail);
        $("#commentCount").html(data.commentCount);
        $("#hotComment").hide();
        $("#topicTitle").text("#" + data.topicTitle + "#");
        $("#headerImage").error(function () {
            console.log($(this).attr('src'));
            $(this).attr('src', "user_30.png");
        })
        if (data.compressImage != null && data.compressImage.length > 0) {

            $("#postsImage").addClass("piclist-" + data.compressImage.length);
            if (data.videoUrl != undefined && data.videoUrl != null && data.videoUrl.length > 0) {
                //$("#postsImage").append('<li><video style="width:100%"  src="' + data.videoUrl + '" poster="' + data.videoFaceImg + '" ></video></li>');
                $("#postsImage").append('<li><div class="js-video" data-src="' + data.videoUrl + '" data-poster="' + data.videoFaceImg + '"><img src="' + data.videoFaceImg+'"></div></li>');
            } else if (data.compressImage.length == 1) {
                $("#postsImage").append('<li><img class="j-browse2 j-lazy z-loaded" src="' + data.originalImage[0] + '"><a class="f-link" onclick="api.viewPicture(' + 0 + ')"></a></li>');
            } else {
                for (var i = 0; i < data.compressImage.length; i++) {
                    $("#postsImage").append('<li><img class="j-browse2 j-lazy z-loaded" src="' + data.compressImage[i] + '"><a class="f-link" onclick="api.viewPicture(' + i + ')"></a></li>');
                }
            }
        }
        var $this = this;
        if (data.commentCount > 10) {
            $(".more").show();
            $(".more").click(function () {
                $this.showReply(data.postsId);
            });
        }
        //点赞列表
        if (data.sayGoodUsers == null || data.sayGoodUsers.length <= 0) {
            $("#likeInfo").hide();
            //$(".sayGood").hide();
        } else {
            $("#likeInfo").show();
            $(".sayGood").show();
            for (var l = 0; l < data.sayGoodUsers.length; l++) {
                var like = data.sayGoodUsers[l];
                $("#likeInfo").append('<li><img class="js_viewUser" src="' + like.HeaderImage + '" onclick="api.pushToUser(' + like.Id + ')"/></li>');
            }
            if (data.sayGoodUsers.length < data.onlookerCount) {
                $("#likeInfo").append('<li><img src="Group@2x.png" /></li>');
            }
            $("#sayGoodCount").html(data.onlookerCount);
            if (data.onlookerCount <= 0) {
                $("#goodNumber").hide();
            }
            if (data.isSayGood) {
                $("#sayGood").addClass("isGood");
                $("#sayGoodImg").attr("src", "zan_yes@2x.png");
            }
            //$("#likeInfo").append('<li><p>' + data.onlookerCount + '赞</p></li>');
        }

        if (data.reply == null || data.reply.length <= 0) {
            $(".noncomment").show();
            $("#hotComment").hide();
        } else {
            $(".noncomment").hide();
            for (var c = 0; c < data.reply.length; c++) {
                var comment = data.reply[c];
                //var date = formatDate(new Date(comment.createDate.replace(/-/g, '/')));
                //var date = comment.createDate.replace(/-/g, '/');
                $("#commentList").append(
                    '<li>'
                    + '<div class="pro">'
                    + '<div class="face">'
                    + '<a href="javascript:;" onclick="api.pushToUser(' + comment.userinfoId + ')"><img class="f-img j-lazy j_userImg" src="' + comment.headerImage + '"/></a>'
                    // +'<span class="auth u-authicn u-authicn-yyr"></span><span class="auth u-authicn u-authicn-v"></span><span class="auth u-authicn u-authicn-daren"></span>'
                    + '</div>'
                    + '<div class="nt">'
                    + '<a href="javascript:;"><div class="na f-thide">' + comment.nickname + '</div></a><span class="ti">' + comment.createDate + '</span>'
                    + '</div>'
                    + '<a href="javascript:;" class="' + (comment.isSayGood ? 'za-1' : 'za') + '" id="SayGoodCount' + comment.Id + '" onclick="postSayGood(' + comment.Id + ',' + data.userInfoId + ')">' + (comment.sayGoodCount > 0 ? comment.sayGoodCount : '') + '</a>'
                    + '<a href="javascript:;" class="reply" onclick="postReplay(' + data.postsId + ',' + comment.Id + ',\'' + comment.nickname + '\')"></a>'
                    + '</div>'
                    + '<div class="msg f-bd">' + (comment.repliedNickName.length > 0 ? '回复<em class="replyName">' + comment.repliedNickName + '</em>：' : '') + comment.replyContent + '</div>'
                    + '</li>'
                );
            }
            $(".j_userImg").error(function () {
                $(this).attr('src', "user_30.png");
            })
        }
        $(".js-video").on("click", function (e) {
            try {
                //e.preventDefault(); e.stopPropagation();
                var src = $(this).data("src"), poster = $(this).data("poster");
                api.connectWebViewJavascriptBridge(function (bridge) {
                    if (isiOS) {
                        bridge.playPopup.postMessage({ src: src, poster: poster });
                    } else {
                        bridge.playPopup(src, poster);
                    }
                });
            }
            catch (e) {
                alert(e);
            }
        });
    }
}
$(function () {
    try {
        //load('{"canReplyDepartmentUser":false,"postsId":364,"detail":"建设中的达机场<br />石仲&nbsp;拍摄","address":"火星","commentCount":29,"createDate":"2021-11-11 09:23","topicId":1,"topicTitle":"随便聊聊","onlookerCount":36,"stickIndex":0,"url":"","viewCount":35,"distance":0.0,"userinfo":{"Id":370,"nickname":"梦语棠","headerImage":"https://ydzappres.dzrbs.com/2021/9/android_img20210914201303e06uw.jpg","backgroundImage":null,"sex":0,"address":"","career":null,"hometown":null,"loginSession":"","userDesc":null,"score":0,"birthday":"","city":0,"cityName":"","school":null,"company":null,"constellation":"","age":0,"phone":null,"role":null,"profile":0,"userCommunity":null},"isSayGood":false,"isEnshrined":false,"compressImage":["https://ydzappres.dzrbs.com/2021/11/android_img20211111092302ma7nk*$*1.778.jpg?x-oss-process=image/resize,m_fixed,h_278,w_278"],"originalImage":["https://ydzappres.dzrbs.com/2021/11/android_img20211111092302ma7nk*$*1.778.jpg"],"postsVote":[],"reply":[{"Id":1095,"userinfoId":131,"userTypeId":0,"nickname":"智慧树下智慧果","headerImage":"https://ydzappres.dzrbs.com/2021/7/android_img20210707183609r6jpo.jpg","role":null,"createDate":"2021-11-15 13:34","repliedUserInfoId":0,"repliedNickName":"","replyContent":"大气！","sayGoodCount":0,"isSayGood":false,"posts":null},{"Id":869,"userinfoId":496,"userTypeId":0,"nickname":"谢波","headerImage":"https://ydzappres.dzrbs.com/2021/10/android_img202110291742381yi43.jpg","role":null,"createDate":"2021-11-12 14:15","repliedUserInfoId":0,"repliedNickName":"","replyContent":"大气","sayGoodCount":0,"isSayGood":false,"posts":null},{"Id":846,"userinfoId":513,"userTypeId":0,"nickname":"熊廷江","headerImage":"https://ydzappres.dzrbs.com/2021/10/android_img20211030084818up1nc.jpg","role":null,"createDate":"2021-11-12 08:51","repliedUserInfoId":0,"repliedNickName":"","replyContent":"😊😊😊😊","sayGoodCount":0,"isSayGood":false,"posts":null},{"Id":845,"userinfoId":465,"userTypeId":0,"nickname":"报社","headerImage":"https://ydzappres.dzrbs.com/2021/11/android_img202111011007435bzoa.jpg","role":null,"createDate":"2021-11-12 08:11","repliedUserInfoId":0,"repliedNickName":"","replyContent":"方便了，","sayGoodCount":0,"isSayGood":false,"posts":null},{"Id":844,"userinfoId":636,"userTypeId":0,"nickname":"楚甲","headerImage":"https://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83epO24E9ibzg2aVJWycfA00vzOPujZqHHzSHgf3SGZWEI4x4ibotQZ9xTnVleiaAZN3qQ63IZ4ibicTHX3A/132","role":null,"createDate":"2021-11-12 07:35","repliedUserInfoId":0,"repliedNickName":"","replyContent":"哈哈哈","sayGoodCount":0,"isSayGood":false,"posts":null},{"Id":843,"userinfoId":351,"userTypeId":0,"nickname":"云中漫步","headerImage":"https://ydzappres.dzrbs.com/2021/9/android_img20210906122818a519j.jpg","role":null,"createDate":"2021-11-12 07:26","repliedUserInfoId":0,"repliedNickName":"","replyContent":"👍👍👍👍","sayGoodCount":0,"isSayGood":false,"posts":null},{"Id":841,"userinfoId":535,"userTypeId":0,"nickname":"林海雪原","headerImage":"https://ydzappres.dzrbs.com/2021/11/android_img20211031143318dxkt1.jpg","role":null,"createDate":"2021-11-12 02:25","repliedUserInfoId":0,"repliedNickName":"","replyContent":"👍👍👍","sayGoodCount":0,"isSayGood":false,"posts":null},{"Id":832,"userinfoId":614,"userTypeId":0,"nickname":"静静想静静","headerImage":"https://ydzappres.dzrbs.com/2021/11/android_img202111012145584oayi.jpg","role":null,"createDate":"2021-11-12 00:05","repliedUserInfoId":0,"repliedNickName":"","replyContent":"震撼","sayGoodCount":0,"isSayGood":false,"posts":null},{"Id":829,"userinfoId":201,"userTypeId":0,"nickname":"tango","headerImage":"https://ydzappres.dzrbs.com/2021/7/ios_img20210721141202rr5h*$*1.000","role":null,"createDate":"2021-11-11 23:16","repliedUserInfoId":0,"repliedNickName":"","replyContent":"大气","sayGoodCount":0,"isSayGood":false,"posts":null},{"Id":828,"userinfoId":539,"userTypeId":0,"nickname":"怕瓦落地","headerImage":"https://ydzappres.dzrbs.com/2021/11/ios_img2021110108533851bg*$*0.999","role":null,"createDate":"2021-11-11 23:13","repliedUserInfoId":0,"repliedNickName":"","replyContent":"建成后 达州又上一*阶了","sayGoodCount":0,"isSayGood":false,"posts":null}],"sayGoodUsers":[{"Id":131,"UserName":"13079002525","NickName":"智慧树下智慧果","HeaderImage":"https://ydzappres.dzrbs.com/2021/7/android_img20210707183609r6jpo.jpg"},{"Id":560,"UserName":"18381880888","NickName":"春雨细无声","HeaderImage":"https://ydzappres.dzrbs.com/2021/11/ios_img20211101104002s91j*$*1.001"},{"Id":530,"UserName":"oXKYK6IfGwlX-wKwn6YK1DN-yoZo","NickName":"liqingya","HeaderImage":"https://thirdwx.qlogo.cn/mmopen/vi_32/FjA86EluTjicV3vKhcePs6eYWcpMaSoticVMUP4xn6UNyLK6yIWxpQ7L5ickpbxZBH7hGrjwLBt94pREhxRr2menA/132"},{"Id":465,"UserName":"13982818157","NickName":"报社","HeaderImage":"https://ydzappres.dzrbs.com/2021/11/android_img202111011007435bzoa.jpg"},{"Id":263,"UserName":"13079032633","NickName":"先哥哥","HeaderImage":"https://ydzappres.dzrbs.com/2021/8/ios_img20210804111929wb8b*$*1.000"},{"Id":535,"UserName":"13778336992","NickName":"林海雪原","HeaderImage":"https://ydzappres.dzrbs.com/2021/11/android_img20211031143318dxkt1.jpg"},{"Id":614,"UserName":"15760583882","NickName":"静静想静静","HeaderImage":"https://ydzappres.dzrbs.com/2021/11/android_img202111012145584oayi.jpg"},{"Id":201,"UserName":"oXKYK6HhcxOvYWXfbsc6FquoXyz0","NickName":"tango","HeaderImage":"https://ydzappres.dzrbs.com/2021/7/ios_img20210721141202rr5h*$*1.000"},{"Id":539,"UserName":"13096195777","NickName":"怕瓦落地","HeaderImage":"https://ydzappres.dzrbs.com/2021/11/ios_img2021110108533851bg*$*0.999"},{"Id":672,"UserName":"13228275851","NickName":"沅","HeaderImage":"https://ydzappres.dzrbs.com/2021/11/android_img20211103155549ir0oa.jpg"},{"Id":147,"UserName":"15983857787","NickName":"心酸De浪漫","HeaderImage":"https://ydzappres.dzrbs.com/2021/7/ios_img202107090952347g18*$*1.000"},{"Id":100,"UserName":"15928256999","NickName":"镜哥哥","HeaderImage":"https://ydzappres.dzrbs.com/2021/8/android_img20210813164403yfmp5.jpg"},{"Id":611,"UserName":"oPUgH56sJXivGrrY0oqBaywQnVCM","NickName":"佳人有约🎀","HeaderImage":"https://thirdwx.qlogo.cn/mmopen/vi_32/VibtBsTTNoBwXo2FTXxjHr89g0zHy1Ll9iaQfBzrTR9rEIBS0D9jQicfno92NfKYyKxic5yDRDT1w8YjbCxR5uHxDA/132"},{"Id":443,"UserName":"oXKYK6OAVO9IMK2xJ_7PamKpsCL0","NickName":"琦琦","HeaderImage":"https://thirdwx.qlogo.cn/mmopen/vi_32/qAo1ephuBZZhBKPjfU6ib6PbD7egLpMHYlibUmbZYjN89g9zA2N9J6XPCLEfgtdPyicel9qqGUX92WDibwz9UCOYXg/132"},{"Id":439,"UserName":"oPUgH54UJPvIrbDi7s_fz6fGZD8I","NickName":"772","HeaderImage":"https://ydzappres.dzrbs.com/2021/11/android_img20211113235252bbhhh.jpg"},{"Id":742,"UserName":"18113392345","NickName":"军军","HeaderImage":"https://ydzappres.dzrbs.com/2021/11/android_img202111101926241iowy.jpg"},{"Id":94,"UserName":"18282299225","NickName":"蒲萄水水","HeaderImage":"https://ydzappres.dzrbs.com/2021/8/android_img202108091730200ltuo.jpg"},{"Id":665,"UserName":"17781963232","NickName":"淡然","HeaderImage":"https://ydzappres.dzrbs.com/2021/11/ios_img20211103150220ym7i*$*1.001"},{"Id":650,"UserName":"18281840596","NickName":"墨默","HeaderImage":"https://ydzappres.dzrbs.com/2021/11/ios_img20211111201131to5o*$*0.999"},{"Id":547,"UserName":"18080695926","NickName":"玩物","HeaderImage":"https://ydzappres.dzrbs.com/2021/11/android_img20211101094652y5vuj.jpg"}],"videoFaceImg":"https://ydzappres.dzrbs.com/2021/11/android_img20211111092302ma7nk*$*1.778.jpg","videoUrl":"https://ydzappres.dzrbs.com/2021/11/android_video20211111092257vkk8g.mp4","replyCount":29,"webContent":"达州发布，有我，就够了！","webTitle":"建设中的达机场\n石仲 拍摄","webUrl":"https://ydznews.dzrbs.com/Share/PostShare?Id=364","webImage":"https://ydzappres.dzrbs.com/2021/11/android_img20211111092302ma7nk*$*1.778.jpg"}'
        //    , '', 0);
    }
    catch (error) {
        alert(error);
    }
    setTimeout(function () { $("#mainBox").show("slow"); });
})
function load(model, token, userInfoId) {
    try {
        if (typeof (model) == "string") {
            data = JSON.parse(model.replace(/\r\n/g, '<br />').replace(/\n/g, '<br />').replace(/'/g, "\'"));
        } else {
            data = model;
        }
        data.token = token;
        data.userInfoId = userInfoId;
        api.loadHtml();
        $("#touser").click(function () {
            api.pushToUser(data.userinfo.Id);
        })
        $(".toTopic,.topic").click(function () {
            api.pushToTopic(data.topicId);
        })
    } catch (error) {
        //alert(error);
    }
}
function InsertComment(ReplyId, UserId, HeaderImg, NickName, CreateDate, Content, ReplyUserNickName) {
    var date = new Date(CreateDate * 1000);
    $("#commentList").prepend(
        '<li>'
        + '<div class="pro">'
        + '<div class="face">'
        + '<a href="javascript:;" onclick="api.pushToUser(' + UserId + ')"><img class="f-img j-lazy" src="' + HeaderImg + '" /></a>'
        + '</div>'
        + '<div class="nt">'
        + '<a href="javascript:;"><div class="na f-thide">' + NickName + '</div></a><span class="ti">' + formatDate(date) + '</span>'
        + '</div>'
        + '<a href="javascript:;" class="za" id="SayGoodCount' + ReplyId + '" onclick="postSayGood(' + ReplyId + ',' + data.userInfoId + ')">赞</a>'
        + '<a href="javascript:;" class="reply" onclick="postReplay(' + data.postsId + ',' + ReplyId + ',\'' + NickName + '\')"></a>'
        + '</div>'
        + '<div class="msg f-bd">' + (ReplyUserNickName != null && ReplyUserNickName.length > 0 ? '回复<em class="replyName">' + ReplyUserNickName + '</em>：' : '') + Content + '</div>'
        + '</li>'
    );
}

function postReplay(postsId, replyId, nickname) {
    if (api.CheckLogin()) {
        api.connectWebViewJavascriptBridge(function (bridge) {
            if (isiOS) {
                bridge.postReplay.postMessage({ postsId: postsId, replyId: replyId, nickname: nickname });
            } else {
                bridge.postReplay(postsId, replyId, nickname);
            }
        });
    }
}

function postSayGood(replyId, userInfoId) {
    if (api.CheckLogin()) {
        var sayGoodCount = parseInt($("#SayGoodCount" + replyId).text());
        var geturl = api.apiUrl.sayGood;
        geturl = geturl.replace('{ReplyId}', replyId);
        geturl = geturl.replace('{UserInfoId}', userInfoId);
        api.ajax(geturl, 'GET', {}, function (data) {
            if (data.success) {
                alert("点赞成功");
                $("#SayGoodCount" + replyId).removeClass("za").addClass("za-1");
                if (isNaN(sayGoodCount)) {
                    $("#SayGoodCount" + replyId).text("1");
                }
                else {
                    $("#SayGoodCount" + replyId).text(Number(sayGoodCount) + 1);
                }
            } else {
                alert(data.message);
            }
        });
    }
}
function sayGoodsPost() {
    if (api.CheckLogin()) {
        //var sayGoodCount = parseInt($("#sayGoodCount").text());
        var geturl = api.apiUrl.sayGoodPosts;
        geturl = geturl.replace('{PostsId}', data.postsId);
        api.ajax(geturl, 'GET', {}, function (response) {
            if (response.success) {
                alert(response.message);
                if (data.isSayGood) {
                    data.isSayGood = false;
                    data.onlookerCount = data.onlookerCount - 1;
                } else {
                    data.isSayGood = true;
                    data.onlookerCount = data.onlookerCount + 1;
                }
                $("#sayGoodCount").text(data.onlookerCount);
                if (data.onlookerCount <= 0) {
                    $("#goodNumber").hide();
                }
                if (data.isSayGood) {
                    $("#sayGood").addClass("isGood");
                    $("#sayGoodImg").attr("src", "zan_yes@2x.png");
                } else {
                    $("#sayGood").removeClass("isGood");
                    $("#sayGoodImg").attr("src", "zan@2x.png");
                }
            } else {
                alert(response.message);
            }
        });
    }
}

function formatDate(now) {
    var year = now.getFullYear();
    var month = now.getMonth() + 1;
    var date = now.getDate();
    var hour = now.getHours();
    var minute = now.getMinutes();
    var second = now.getSeconds();
    return year + "-" + (month < 10 ? "0" + month : month) + "-" + (date < 10 ? "0" + date : date) + " " + (hour < 10 ? "0" + hour : hour) + ":" + (minute < 10 ? "0" + minute : minute) + ":" + (second < 10 ? "0" + second : second);
}
var MessageQuee = [];
function alert(message) {
    for (var i = 0; i < MessageQuee.length; i++) {
        $("#" + MessageQuee[i]).remove();
    }
    var id = "alert_" + Math.floor(Math.random() * (1000 + 1));
    MessageQuee.push(id);
    $("body").prepend('<div id="' + id + '" class="alertMessage" >' + message + '</div>');
    setTimeout(function () { $("#" + id).remove(); }, 3000);
};
